net.i2p.client

## Class I2PClientMessageHandlerMap

- java.lang.Object
- - net.i2p.client.I2PClientMessageHandlerMap

     class I2PClientMessageHandlerMap
    extends Object

Contains a map of message handlers that a session will want to use

Author:
  jrandom

### Field Summary

Fields
`protected I2CPMessageHandler[]` `_handlers` map of message type id --> I2CPMessageHandler

### Constructor Summary

Constructors
Constructor and Description
`I2PClientMessageHandlerMap()` for extension
`I2PClientMessageHandlerMap(I2PAppContext context)`

### Method Summary

Methods
`I2CPMessageHandler` `getHandler(int messageTypeId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _handlers

    protected I2CPMessageHandler[] _handlers

map of message type id --> I2CPMessageHandler

### Constructor Detail

#### I2PClientMessageHandlerMap

    public I2PClientMessageHandlerMap()

for extension

#### I2PClientMessageHandlerMap

    public I2PClientMessageHandlerMap(I2PAppContext context)

### Method Detail

#### getHandler

    public I2CPMessageHandler getHandler(int messageTypeId)